Loading...
Searching...
No Matches
L4::Ipc::Array_in_buf< ELEM_TYPE, LEN_TYPE, MAX > Struct Template Reference

Server-side copy in buffer for Array. More...

`#include <ipc_array>`

Inheritance diagram for L4::Ipc::Array_in_buf< ELEM_TYPE, LEN_TYPE, MAX >:
Collaboration diagram for L4::Ipc::Array_in_buf< ELEM_TYPE, LEN_TYPE, MAX >:

## Public Member Functions

void | copy_in (const_array a)
| copy in data from a source array
| Array_in_buf (const_array a)
| Make Array_in_buf from a const array.
| Array_in_buf (array a)
| Make Array_in_buf from a non-const array.

## Data Fields

ELEM_TYPE | data [MAX]
| The data elements.
LEN_TYPE | length
| The length of the array.

## Detailed Description

template<typename ELEM_TYPE, typename LEN_TYPE = Array_len_default, LEN_TYPE MAX = (L4_UTCB_GENERIC_DATA_SIZE * sizeof(l4_umword_t)) / sizeof(ELEM_TYPE)>
struct L4::Ipc::Array_in_buf< ELEM_TYPE, LEN_TYPE, MAX >

Server-side copy in buffer for Array.

Template Parameters

  ELEM_TYPE | Data type of an array element.
  LEN_TYPE | Data type for the number of elements in the array.
  MAX | The maximum number of elements in the buffer. If the actual message is longer than the buffer, it will be silently truncated.

This type is assignment compatible to Array_ref<ELEM_TYPE, LEN_TYPE> and provides a transparent server-side copy-in mechanism for array parameters. The Array_in_buf provides the storage for the array data and receives a copy of the data passed to the server-function.

Definition at line 126 of file ipc_array.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_array